"use strict";
var core_1 = require('@angular/core');
var ui_model_1 = require('ui-model');
var TableComponent = (function () {
    function TableComponent() {
        this.sorter = new ui_model_1.TableSorter().setFields(this.fields);
        this.size = {};
    }
    Object.defineProperty(TableComponent.prototype, "fields", {
        get: function () {
            return this._fields;
        },
        set: function (value) {
            if (this._fields !== value) {
                this._fields = value;
                this.sorter.fields = value;
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TableComponent.prototype, "sortable", {
        get: function () {
            return this.sorter.enabled;
        },
        set: function (value) {
            this.sorter.enabled = value;
        },
        enumerable: true,
        configurable: true
    });
    TableComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'ui-table',
                    templateUrl: 'table.component.html',
                    styleUrls: ['table.component.scss'],
                },] },
    ];
    /** @nocollapse */
    TableComponent.ctorParameters = function () { return []; };
    TableComponent.propDecorators = {
        'fields': [{ type: core_1.Input },],
        'items': [{ type: core_1.Input },],
        'sortable': [{ type: core_1.Input },],
    };
    return TableComponent;
}());
exports.TableComponent = TableComponent;
//# sourceMappingURL=table.component.js.map