"use strict";
var core_1 = require('@angular/core');
var ModalComponent = (function () {
    function ModalComponent() {
        this.cancel = new core_1.EventEmitter();
        this.visible = false;
    }
    ModalComponent.prototype.ngOnInit = function () {
        var _this = this;
        setTimeout(function () {
            _this.visible = true;
        });
    };
    ModalComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'ui-modal',
                    templateUrl: 'modal.component.html',
                    styleUrls: ['modal.component.scss'],
                    animations: [
                        core_1.trigger('slide', [
                            core_1.state('void', core_1.style({
                                transform: 'translateY(-100%)',
                            })),
                            core_1.state('*', core_1.style({
                                transform: 'translateY(0)',
                            })),
                            core_1.transition(':enter', core_1.animate(300 + 'ms')),
                            core_1.transition(':leave', core_1.animate(100 + 'ms')),
                        ])
                    ]
                },] },
    ];
    /** @nocollapse */
    ModalComponent.ctorParameters = function () { return []; };
    ModalComponent.propDecorators = {
        'cancel': [{ type: core_1.Output },],
    };
    return ModalComponent;
}());
exports.ModalComponent = ModalComponent;
//# sourceMappingURL=modal.component.js.map