"use strict";
var core_1 = require('@angular/core');
var ui_model_1 = require('ui-model');
var PanelComponent = (function () {
    function PanelComponent() {
        this.toggleable = true;
        this.toggle = new ui_model_1.Toggle().setIsOn(ui_model_1.Toggle.ON);
    }
    PanelComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'ui-panel',
                    templateUrl: 'panel.component.html',
                    styleUrls: ['panel.component.scss'],
                    animations: [
                        core_1.trigger('slide', [
                            core_1.state('*', core_1.style({
                                height: '*'
                            })),
                            core_1.state('void', core_1.style({
                                height: 0
                            })),
                            core_1.transition('void => *', core_1.animate('200ms ease-out')),
                            core_1.transition('* => void', core_1.animate('50ms ease-in')),
                        ])
                    ]
                },] },
    ];
    /** @nocollapse */
    PanelComponent.ctorParameters = function () { return []; };
    PanelComponent.propDecorators = {
        'title': [{ type: core_1.Input },],
        'toggleable': [{ type: core_1.Input },],
    };
    return PanelComponent;
}());
exports.PanelComponent = PanelComponent;
//# sourceMappingURL=panel.component.js.map