import { ControlValueAccessor } from '@angular/forms';
import { Select } from 'ui-model';
export declare class RadioGroupComponent<T> extends Select<T> implements ControlValueAccessor {
    constructor();
    options: T[];
    onChange: (value: T) => {};
    onTouched: () => {};
    protected changed(): void;
    protected touched(): void;
    writeValue(value: T): void;
    registerOnChange(fn: (value: T) => {}): void;
    registerOnTouched(fn: () => {}): void;
}
